Skip to main content
GET
/
projects
/
{project_id}
/
triggers
List Available Triggers
curl --request GET \
  --url https://actionkit.useparagon.com/projects/{project_id}/triggers \
  --header 'Authorization: Bearer <token>'
{
  "triggers": {
    "salesforce": [
      {
        "type": "SALESFORCE_TRIGGER_RECORD_CREATED",
        "triggerModel": "POLLING",
        "title": "New Record",
        "description": "Trigger when a new record is created in Salesforce",
        "parameters": [
          {
            "id": "recordType",
            "type": "TEXT_NO_VARS",
            "label": "Record Type",
            "required": true
          }
        ]
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Your Paragon User Token (JWT), which you can generate using your project's signing keys.

Path Parameters

project_id
string
required

Your Paragon Project ID

Query Parameters

integrations
string

Filter by specific integrations that the user has connected. Comma-separated list.

Example:

"salesforce,hubspot"

limit_to_available
boolean
default:true

If true (default), only triggers for integrations the user has connected are returned.

Set to false to return triggers for all integrations enabled on the project, regardless of whether the user has connected them.

Response

200 - application/json

Success

triggers
object

A map of integrations with their available triggers